getLeaderSchedule
POST
Returns the leader schedule for an epoch
param[0]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.- finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
- confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
- processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
identitystring
Only return results for this validator identity (base-58 encoded).Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionresultobject
Returns null if requested epoch is not found, otherwise returns an object where:- Keys are validator identities (as base-58 encoded strings)
- Values are arrays of leader slot indices relative to the first slot in the requested epoch
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getLeaderSchedule","params": [{"commitment": "processed"}]}'